<?php
function NewTopicForm($status){
  session_start();
  if ($GLOBALS['islogged']){ //если есть логин
    if ($status == 'create'){// если статус create
      if (isset($_SESSION['NewTopicForm'])){ // если форма уже была заполнена но с ошибками, все данные берём из сессии
        $error = $_SESSION['NewTopicForm']['error'];
        $topictype = $_SESSION['NewTopicForm']['topictype'];
        $topic = $_SESSION['NewTopicForm']['topic'];
        $message = $_SESSION['NewTopicForm']['message'];
        unset($_SESSION['NewTopicForm']);
      }else{ //в противном случае все поля пустые
        $error = '';
        $topictype = 1; // по умолчанию обычный топик
        $topic = '';
        $message = '';
      }
    }else{ //если статус не тот
      $html = '<table width="100%" style="background-color: #f5f5f5"><tr><td height="10px"></td></tr>
      <tr><td><div align="center">Ваш статус не позволяет создавать топики.</div></td></tr><tr><td height="10px"></td></tr></table>';  
      return $html;
      exit();
    }
  }else{ //если логина нету
    $html = '<table width="100%" style="background-color: #f5f5f5"><tr><td height="10px"></td></tr>
    <tr><td><div align="center">Авторизуйтесь, чтобы создавать топики.</div></td></tr><tr><td height="10px"></td></tr></table>';  
    return $html; //не используем сообщения ai=200 чтобы после авторизации вернуться на ту же страницу
    exit();
  }

  $stmt = mysqli_prepare($GLOBALS['DB'], "SELECT name, avatar FROM users WHERE iduser=? LIMIT 1");
  mysqli_stmt_bind_param($stmt, 'i', intval($_COOKIE['iduser']));
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $username, $avatar); // данные пользователя
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  $html = file_get_contents('./templates/NewTopicForm.html');
  $html = str_replace('{error}', $error, $html);
  if ($topictype == 1) $html = str_replace('id="cht1"', 'id="cht1" checked', $html);
  else $html = str_replace('id="cht2"', 'id="cht2" checked', $html);
  $html = str_replace('{topic}', $topic, $html);
  if (!empty($avatar)) //если аватар есть - выводим его
  $html = str_replace('{avatar}','<img src="./avatars/'.$avatar.'.jpg" alt="Аватар">', $html); 
  else $html = str_replace('{avatar}','', $html);
  $html = str_replace('{name}',$username, $html);
  $html = str_replace('{message}', $message, $html);

  return $html;
}
?>