<?
$ai = (int)substr($_POST['ai'], 0, 3); // пробуем получить тип запроса и обработать его

switch ($ai){ //здесь асинхронные запросы гостевого доступа, ниже - авторизованного
  case 100:// отправляем точное время сервера для окна настроек гостевого доступа
    echo '{"type":100,"msg":"'.date('H:i d.m.Y').'"}';
    exit();
    break;
  case 101: //изменение критерия сортировки топиков
    $sorting = (int)substr($_POST['sort'], 0, 2); // критерий сортировки
    if ($sorting < 0) $sorting = 0;
    if ($sorting > 6) $sorting = 6;
    setcookie('sorting', $sorting, 2147483647,'/','',true,true); //устанавливаем куки
    echo '{"type":4,"msg":"'.$_SERVER['HTTP_REFERER'].'"}'; //возвращаем страницу форума, с которой мы сюда попали
    exit();
    break;
}

require 'const.php';
if (!isset($_COOKIE['iduser']) or !isset($_COOKIE['hash'])){ //если юзер не авторизован, то возвращаем сообщение об этом 
  switch ($ai){
    case 1: //в окно жалоб
      echo '{"type":1,"msg":"Авторизуйтесь для данного действия."}'; //возвращаем JSON асинхронный ответ броузеру
      break;
    case 4: //в окно голосований
      echo '{"type":1,"msg":"Авторизуйтесь для данного действия."}'; 
      break;
    case 6: //в окно участника
      echo '{"type":3,"msg":"Авторизуйтесь для данного действия."}'; 
      break;
  }
  exit();
}

$DB = mysqli_connect($DBhost, $DBuser, $DBpwd);
if ($DB !== false){
  mysqli_select_db($DB, $DBname); 

  $stmt = mysqli_prepare($DB, "SELECT user_hash, status, admin FROM users WHERE iduser=? LIMIT 1");
  mysqli_stmt_bind_param($stmt, 'i', intval($_COOKIE['iduser']));
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $user_hash, $status, $admin);
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  if ($user_hash !== $_COOKIE['hash']){ //если хэши не совпадают
    switch ($ai){
      case 1://в окно жалоб
        echo '{"type":1,"msg":"Авторизуйтесь для данного действия."}'; //возвращаем JSON асинхронный ответ броузеру
        break;
      case 2://в окно жалоб
        echo '{"type":1,"msg":"Авторизуйтесь для данного действия."}';
        break;
      case 3://в окно жалоб
        echo '{"type":1,"msg":"Авторизуйтесь для данного действия."}';
        break;
      case 4: //в окно голосований
        echo '{"type":1,"msg":"Авторизуйтесь для данного действия."}'; 
        break;
      case 6://в окно участника
        echo '{"type":3,"msg":"Авторизуйтесь для данного действия."}'; 
        break;
    }
    mysqli_close($DB);
    exit();
  }else{//если хэши совпадают - пользователь опознан
    switch ($ai){
      case 1:    // жалоба на участника
        $text = substr($_POST['text'], 0, 2000);
        $text = trim($text);
        $id = substr($_POST['id'], 0, 6);
        if ($status != 'create'){
          echo '{"type":1,"msg":"Ваш статус не позволяет подавать жалобы."}';
          break;
        }        
        if ($id == $_COOKIE['iduser']){
          echo '{"type":1,"msg":"Нельзя подавать жалобы на самого себя."}';
          break;
        }        

        $stmt = mysqli_prepare($DB, "SELECT id_claim FROM claims WHERE id_from=? AND type=? AND id_to=? AND status='vote'"); //проверяем на дубль
        mysqli_stmt_bind_param($stmt, 'iii', intval($_COOKIE['iduser']), intval($ai), intval($id));
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        mysqli_stmt_close($stmt);
        if ($num > 0){
          echo '{"type":1,"msg":"Вы уже подали жалобу на данного участника."}';
          break;
        }

        if (empty($text)){
          echo '{"type":1,"msg":"Жалоба не может быть пустой."}';
          break;
        }

        $createtime = date("Y-m-d H:i:s"); 
        $stmt = mysqli_prepare($DB, "INSERT INTO claims SET id_from=?, type=?, id_to=?, text=?, createtime=?, status='vote'");
        mysqli_stmt_bind_param($stmt, 'iiiss', intval($_COOKIE['iduser']), intval($ai), intval($id), $text, $createtime);
        mysqli_stmt_execute($stmt);
        $dber = mysqli_stmt_error($stmt);
        mysqli_stmt_close($stmt);

        if (empty($dber)){
          $msg = 'Жалоба подана. ';
          $newid = mysqli_insert_id($DB); //id_claim для новой записи
        }else{
          echo '{"type":1,"msg":"Ошибка: '.$dber.'"}';
          break;
        }

        if (intval($_POST['vote']) > 0){ //если участник сразу проголосовал, вносим его голос
          $stmt = mysqli_prepare($DB, 'INSERT INTO votes SET id_from=?, id_claim=?, createtime=?, vote=?');
          mysqli_stmt_bind_param($stmt, 'iisi', intval($_COOKIE['iduser']), intval($newid), $createtime, intval($_POST['vote']));
          mysqli_stmt_execute($stmt);
          $dber = mysqli_stmt_error($stmt);
          mysqli_stmt_close($stmt);
          if (empty($dber)) $msg .= 'Ваш голос учтён.';
          else $msg .= 'Ошибка: '.$dber;
        }

        echo '{"type":1,"msg":"'.$msg.'"}';
        break;
      case 2: // жалоба на топик 
        $text = substr($_POST['text'], 0, 2000); 
        $text = trim($text);
        $id = substr($_POST['id'], 0, 6);
        if ($status != 'create'){
          echo '{"type":1,"msg":"Ваш статус не позволяет подавать жалобы."}';
          break;
        }

        $stmt = mysqli_prepare($DB, 'SELECT id_author, deleted FROM topics WHERE id_topic=?');
        mysqli_stmt_bind_param($stmt, 'i', $id);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_author, $deleted);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);

        if ($deleted == 1){
          echo '{"type":1,"msg":"Нельзя подавать жалобы на удалённые топики."}';
          break;
        }  

        if ($id_author == $_COOKIE['iduser']){
          echo '{"type":1,"msg":"Нельзя подавать жалобы на свои топики."}';
          break;
        }        

        $stmt = mysqli_prepare($DB, "SELECT id_claim FROM claims WHERE id_from=? AND type=? AND id_to=? AND status='vote'"); //проверяем на дубль
        mysqli_stmt_bind_param($stmt, 'iii', intval($_COOKIE['iduser']), intval($ai), intval($id));
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        mysqli_stmt_close($stmt);
        if ($num > 0){
          echo '{"type":1,"msg":"Вы уже подали жалобу на данный топик."}';
          break;
        }

        if (empty($text)){
          echo '{"type":1,"msg":"Жалоба не может быть пустой."}';
          break;
        }

        $createtime = date("Y-m-d H:i:s"); 
        $stmt = mysqli_prepare($DB, "INSERT INTO claims SET id_from=?, type=?, id_to=?, text=?, createtime=?, status='vote'");
        mysqli_stmt_bind_param($stmt, 'iiiss', intval($_COOKIE['iduser']), intval($ai), intval($id), $text, $createtime);
        mysqli_stmt_execute($stmt);
        $dber = mysqli_stmt_error($stmt);
        mysqli_stmt_close($stmt);

        if (empty($dber)){
          $msg = 'Жалоба подана. ';
          $newid = mysqli_insert_id($DB); //id_claim для новой записи
        }else{
          echo '{"type":1,"msg":"Ошибка: '.$dber.'"}';
          break;
        }

        if (intval($_POST['vote']) > 0){ //если участник сразу проголосовал, вносим его голос
          $stmt = mysqli_prepare($DB, 'INSERT INTO votes SET id_from=?, id_claim=?, createtime=?, vote=?');
          mysqli_stmt_bind_param($stmt, 'iisi', intval($_COOKIE['iduser']), intval($newid), $createtime, intval($_POST['vote']));
          mysqli_stmt_execute($stmt);
          $dber = mysqli_stmt_error($stmt);
          mysqli_stmt_close($stmt);
          if (empty($dber)) $msg .= 'Ваш голос учтён.';
          else $msg .= 'Ошибка: '.$dber;
        }

        echo '{"type":1,"msg":"'.$msg.'"}';
        break;
      case 3: // жалоба на сообщение
        $text = substr($_POST['text'], 0, 2000); 
        $text = trim($text);
        $id = substr($_POST['id'], 0, 7);
        if ($status != 'create'){
          echo '{"type":1,"msg":"Ваш статус не позволяет подавать жалобы."}';
          break;
        }

        $stmt = mysqli_prepare($DB, 'SELECT id_author, deleted FROM posts WHERE id_msg=?');
        mysqli_stmt_bind_param($stmt, 'i', $id);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_author, $deleted);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);

        if ($deleted == 1){
          echo '{"type":1,"msg":"Нельзя подавать жалобы на удалённые сообщения."}';
          break;
        }  

        if ($id_author == $_COOKIE['iduser']){
          echo '{"type":1,"msg":"Нельзя подавать жалобы на свои сообщения."}';
          break;
        }        

        $stmt = mysqli_prepare($DB, "SELECT id_claim FROM claims WHERE id_from=? AND type=? AND id_to=? AND status='vote'"); //проверяем на дубль
        mysqli_stmt_bind_param($stmt, 'iii', intval($_COOKIE['iduser']), intval($ai), intval($id));
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        mysqli_stmt_close($stmt);
        if ($num > 0){
          echo '{"type":1,"msg":"Вы уже подали жалобу на данное сообщение."}';
          break;
        }

        if (empty($text)){
          echo '{"type":1,"msg":"Жалоба не может быть пустой."}';
          break;
        }

        $createtime = date("Y-m-d H:i:s"); 
        $stmt = mysqli_prepare($DB, "INSERT INTO claims SET id_from=?, type=?, id_to=?, text=?, createtime=?, status='vote'");
        mysqli_stmt_bind_param($stmt, 'iiiss', intval($_COOKIE['iduser']), intval($ai), intval($id), $text, $createtime);
        mysqli_stmt_execute($stmt);
        $dber = mysqli_stmt_error($stmt);
        mysqli_stmt_close($stmt);

        if (empty($dber)){
          $msg = 'Жалоба подана. ';
          $newid = mysqli_insert_id($DB); //id_claim для новой записи
        }else{
          echo '{"type":1,"msg":"Ошибка: '.$dber.'"}';
          break;
        }

        if (intval($_POST['vote']) > 0){ //если участник сразу проголосовал, вносим его голос
          $stmt = mysqli_prepare($DB, 'INSERT INTO votes SET id_from=?, id_claim=?, createtime=?, vote=?');
          mysqli_stmt_bind_param($stmt, 'iisi', intval($_COOKIE['iduser']), intval($newid), $createtime, intval($_POST['vote']));
          mysqli_stmt_execute($stmt);
          $dber = mysqli_stmt_error($stmt);
          mysqli_stmt_close($stmt);
          if (empty($dber)) $msg .= 'Ваш голос учтён.';
          else $msg .= 'Ошибка: '.$dber;
        }

        echo '{"type":1,"msg":"'.$msg.'"}';
        break;
      case 4: // голосование по жалобам
        $id = substr($_POST['id'], 0, 6);
        if ($status != 'create'){
          echo '{"type":1,"msg":"Ваш статус не позволяет голосовать по жалобам."}';
          break;
        }             

        $stmt = mysqli_prepare($DB, 'SELECT id_vote FROM votes WHERE id_from=? AND id_claim=?'); //проверяем на дубль голоса
        mysqli_stmt_bind_param($stmt, 'ii', intval($_COOKIE['iduser']), intval($id));
        mysqli_stmt_execute($stmt);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        mysqli_stmt_close($stmt);
        if ($num > 0){
          echo '{"type":1,"msg":"Вы уже голосовали по данной жалобе."}';
          break;
        }

        $createtime = date("Y-m-d H:i:s"); 
        if (!empty($_POST['vote'])){ //если участник проголосовал, вносим его голос
          $stmt = mysqli_prepare($DB, 'INSERT INTO votes SET id_from=?, id_claim=?, createtime=?, vote=?');
          mysqli_stmt_bind_param($stmt, 'iisi', intval($_COOKIE['iduser']), intval($id), $createtime, intval($_POST['vote']));
          mysqli_stmt_execute($stmt);
          $dber = mysqli_stmt_error($stmt);
          mysqli_stmt_close($stmt);
          if (empty($dber)) $msg .= 'Ваш голос учтён.';
          else $msg .= 'Ошибка: '.$dber;          
        }

        $list = ''; //подсчитываем количество проголосовавших "За"
        $stmt = mysqli_prepare($DB, 
        'SELECT votes.id_from, users.name FROM votes LEFT JOIN users ON votes.id_from = users.iduser
        WHERE votes.id_claim=? AND votes.vote=1 ORDER BY votes.createtime DESC');
        mysqli_stmt_bind_param($stmt, 'i', $id); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_from, $name);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        $num1 = $num;
        while (mysqli_stmt_fetch($stmt)){
          $num = $num - 1;
          $item = "<a title='Перейти на страницу участника' href='./?ai=50&id=".$id_from."'>".$name."</a>";
          if ($num > 0) $list .= $item."<br>";
          else $list .= $item; //к последнему имени перенос не добавляем
        }
        mysqli_stmt_close($stmt);
        $yeslist = $list;
  
        $list = '';//подсчитываем количество воздержавшихся
        $stmt = mysqli_prepare($DB, 
        'SELECT votes.id_from, users.name FROM votes LEFT JOIN users ON votes.id_from = users.iduser
        WHERE votes.id_claim=? AND votes.vote=2 ORDER BY votes.createtime DESC');
        mysqli_stmt_bind_param($stmt, 'i', $id); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_from, $name);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        $num2 = $num;
        while (mysqli_stmt_fetch($stmt)){
          $num = $num - 1;
          $item = "<a title='Перейти на страницу участника' href='./?ai=50&id=".$id_from."'>".$name."</a>";
          if ($num > 0) $list .= $item."<br>";
          else $list .= $item; //к последнему имени перенос не добавляем
        }
        mysqli_stmt_close($stmt);
        $abslist = $list;
  
        $list = '';//подсчитываем количество проголосовавших "против"
        $stmt = mysqli_prepare($DB, 
        'SELECT votes.id_from, users.name FROM votes LEFT JOIN users ON votes.id_from = users.iduser
        WHERE votes.id_claim=? AND votes.vote=3 ORDER BY votes.createtime DESC');
        mysqli_stmt_bind_param($stmt, 'i', $id); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_from, $name);
        mysqli_stmt_store_result($stmt);
        $num = mysqli_stmt_num_rows($stmt);
        $num3 = $num;
        while (mysqli_stmt_fetch($stmt)){
          $num = $num - 1;
          $item = "<a title='Перейти на страницу участника' href='./?ai=50&id=".$id_from."'>".$name."</a>";
          if ($num > 0) $list .= $item."<br>";
          else $list .= $item; //к последнему имени перенос не добавляем
        }
        mysqli_stmt_close($stmt);
        $nolist = $list;

        $sum = $num1 + $num2 + $num3;
        $yes = str_replace('.',',',round(100*($num1/$sum),1,PHP_ROUND_HALF_UP).'%');
        $abs = str_replace('.',',',round(100*($num2/$sum),1,PHP_ROUND_HALF_UP).'%');
        $no = str_replace('.',',',round(100*($num3/$sum),1,PHP_ROUND_HALF_UP).'%');

        echo '{"type":2,"msg":"'.$msg.'","yes":"'.$yes.'","abs":"'.$abs.'","no":"'.$no.'","yeslist":"'.$yeslist.'","abslist":"'.$abslist.'","nolist":"'.$nolist.'"}';
        break;
      case 5: // preview
        require 'TagFormat.php';
        $text = str_replace('#amp', '&', $_POST['text']);
        $text = TagFormat($text);
        echo '-=&#%$=-'.$text; //условный код многострочного сообщения
        break;
      case 6: // изменение в ч/б списке
        $value = (int)substr($_POST['value'], 0, 2); //идентификатор списка -1 чёрный, 0 обычный, 1 белый
        $id = (int)substr($_POST['id'], 0, 4);
   
        if ($id == $_COOKIE['iduser']){
          echo '{"type":3,"msg":"Нельзя вносить себя в свои списки."}';
          break;
        }

        $stmt = mysqli_prepare($DB, "SELECT id_item FROM wblist WHERE id_from=? AND id_to=? LIMIT 1"); //проверяем есть ли запись в базе
        mysqli_stmt_bind_param($stmt, 'ii', intval($_COOKIE['iduser']), $id);
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_item);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);

        if (empty($id_item)){ // если элемента нет - вносим новый элемент, если value не 0
          if ($value != 0){
            $stmt = mysqli_prepare($DB, "INSERT INTO wblist SET id_from=?, id_to=?, listid=?");
            mysqli_stmt_bind_param($stmt, 'iii', intval($_COOKIE['iduser']), $id, $value);
            mysqli_stmt_execute($stmt);
            $dber = mysqli_stmt_error($stmt);
            mysqli_stmt_close($stmt);
          }else{
            $dber = '';
          }
        }else{//обновляем или удяляем существующий элемент
          if ($value != 0){
            $stmt = mysqli_prepare($DB, "UPDATE wblist SET listid=? WHERE id_item=?");
            mysqli_stmt_bind_param($stmt, 'ii', $value, $id_item);
            mysqli_stmt_execute($stmt);
            $dber = mysqli_stmt_error($stmt);
            mysqli_stmt_close($stmt);
          }else{
            mysqli_query($DB, "DELETE FROM wblist WHERE id_item="."$id_item");//удаляем, чтоб не хранить 0
            $dber = mysqli_error($DB);
          }  
        }

        if (empty($dber)){
          $msg .= 'Настройка сохранена.';
        }else{
          $msg .= 'Ошибка: '.$dber;
        }
        echo '{"type":3,"msg":"'.$msg.'"}';
        break;
      case 7: // лайк/дизлайк
        if (($status == 'create') or ($status == 'write')){
          $msgid = (int)substr($_POST['idmsg'], 0, 7); // id сообщения

          $stmt = mysqli_prepare($DB, 'SELECT id_msg, likes, disagrees, id_topic FROM posts WHERE id_msg=? AND deleted=0 LIMIT 1'); //проверяем есть ли сообщение и заодно берём все данные
          mysqli_stmt_bind_param($stmt, 'i', $msgid); 
          mysqli_stmt_execute($stmt);
          mysqli_stmt_bind_result($stmt, $id_msg, $likes, $disagrees, $id_topic);
          mysqli_stmt_fetch($stmt);
          mysqli_stmt_close($stmt);

          if (isset($id_msg)){ //если сообщение есть
            $stmt = mysqli_prepare($DB, 'SELECT id_item FROM likes WHERE id_from=? AND id_msg=?'); //проверяем на дубль лайка
            mysqli_stmt_bind_param($stmt, 'ii', intval($_COOKIE['iduser']), $msgid);
            mysqli_stmt_execute($stmt);
            mysqli_stmt_bind_result($stmt, $id_item);
            mysqli_stmt_fetch($stmt);
            mysqli_stmt_close($stmt);
            if (!isset($id_item)){ //если лайк ещё не ставили
              $value = (int)substr($_POST['value'], 0, 2);
              if ($value != 1) $value = -1; //защита от посторонних значений (1-лайк, -1-дизлайк)

              $stmt = mysqli_prepare($DB, 'INSERT INTO likes SET id_from=?, id_msg=?, value=?');
              mysqli_stmt_bind_param($stmt, 'iii', intval($_COOKIE['iduser']), $msgid, $value);
              mysqli_stmt_execute($stmt);
              $dber = mysqli_stmt_error($stmt);
              mysqli_stmt_close($stmt);
              if (empty($dber)){
                if ($value == 1) $item='likes';
                else $item='disagrees';

                $stmt = mysqli_prepare($DB, 'UPDATE posts SET '.$item.'='.$item.'+1 WHERE id_msg=?'); //обновляем сообщение
                mysqli_stmt_bind_param($stmt, 'i', $msgid);
                mysqli_stmt_execute($stmt);
                $dber1 = mysqli_stmt_error($stmt);
                mysqli_stmt_close($stmt);

                if ($value == 1){ //обновляем топик только если лайк, поскольку дизлайк полагаем принадлежит только сообщению
                  $stmt = mysqli_prepare($DB, 'UPDATE topics SET likes = likes + 1 WHERE id_topic=?');
                  mysqli_stmt_bind_param($stmt, 'i', $id_topic);
                  mysqli_stmt_execute($stmt);
                  $dber2 = mysqli_stmt_error($stmt);
                  mysqli_stmt_close($stmt);
                }

                if (empty($dber1) and empty($dber2)){
                  if ($value == 1) $likes++;
                  else $disagrees++;
                  if ($likes>0) $pref1 = '+';
                  else $pref1 = '';
                  if ($disagrees>0) $pref2 = '-';
                  else $pref2 = '';

                  if ($value == 1){ //если поставили лайк
                    $likecur = 'pointer';
                    $discur = 'text';
                    $unlike = "onclick='Unlike(".$id_msg.")'";
                    $undislike = '';
                  }else{//если поставили дизлайк
                    $likecur = 'text';
                    $discur = 'pointer';
                    $undislike = "onclick='Unlike(".$id_msg.")'";
                    $unlike = '';
                  }

                  echo '{"type":6,"id":"'.$msgid.'","msg":"<span id='."'".'SL'.$id_msg."'".' onmouseover='."'".'ShowLikes('.$id_msg.')'."' ".$unlike.' style='."'".'color:blue; cursor:'.$likecur."'".'>'.$pref1.$likes.
                    '</span> | <span id='."'".'SD'.$id_msg."'".' onmouseover='."'".'ShowDislikes('.$id_msg.')'."' ".$undislike.' style='."'".'color:red; cursor:'.$discur."'".'>'.$pref2.$disagrees.'</span>"}';
                }
              }
            }            
          }
        }
        break;
      case 8: // удалить сообщение
        $msgid = (int)substr($_POST['id'], 0, 7); // id сообщения

        $stmt = mysqli_prepare($DB, 
        'SELECT posts.id_topic, posts.id_author, posts.likes, topics.id_author, topics.msgs, topics.likes FROM posts
         LEFT JOIN topics ON posts.id_topic = topics.id_topic
         WHERE posts.deleted=0 AND posts.id_msg=? LIMIT 1');
        mysqli_stmt_bind_param($stmt, 'i', $msgid); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_topic, $id_postauthor, $post_likes, $id_topicauthor, $msgs, $topic_likes);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);

        if (!empty($id_topic)){ //если сообщение eсть обновляем все индикаторы
          if (($_COOKIE['iduser'] == $id_postauthor) or ($_COOKIE['iduser'] == $id_topicauthor) or ($admin == 1)){ //удалять могут только авторы и админы
            mysqli_query($DB, "UPDATE posts SET deleted = 1 WHERE id_msg="."$msgid");
            mysqli_query($DB, "UPDATE topics SET msgs = msgs - 1 WHERE id_topic="."$id_topic");
            $likes = $topic_likes - $post_likes;
            mysqli_query($DB, "UPDATE topics SET likes=".$likes." WHERE id_topic="."$id_topic");
            mysqli_query($DB, "UPDATE users SET posts = posts - 1 WHERE iduser="."$id_postauthor");
          }
        }
        echo '{"type":4,"msg":"'.$_SERVER['HTTP_REFERER'].'"}'; //возвращаем страницу форума, с которой мы сюда попали
        break;
      case 9: // удалить топик
        $id_topic = (int)substr($_POST['id'], 0, 6); // id топика
  
        $stmt = mysqli_prepare($DB, 'SELECT id_author, msgs FROM topics WHERE deleted=0 AND id_topic=? LIMIT 1');
        mysqli_stmt_bind_param($stmt, 'i', $id_topic); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_topicauthor, $msgs);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);
  
        if (!empty($id_topicauthor)){ //если такой топик eсть обновляем все индикаторы
          if (($_COOKIE['iduser'] == $id_topicauthor) or ($admin == 1)){ //удалять могут только авторы и админы
            mysqli_query($DB, "UPDATE topics SET deleted = 1 WHERE id_topic="."$id_topic"); // удаляем топик
            mysqli_query($DB, "UPDATE users SET topics=topics-1 WHERE iduser="."$id_topicauthor"); //уменьшаем счёт топиков топикстартеру

            $athrs = array(); // строим список всех, кто создавал сообщения в топике, и считаем сколько этих не удалённых сообщений
            $stmt = mysqli_prepare($DB, 'SELECT id_author FROM posts WHERE deleted=0 AND id_topic=?');
            mysqli_stmt_bind_param($stmt, 'i', $id_topic); 
            mysqli_stmt_execute($stmt);
            mysqli_stmt_bind_result($stmt, $id_author);
            while (mysqli_stmt_fetch($stmt)){
              $athrs[$id_author]++;
            }
            mysqli_stmt_close($stmt);

            foreach ($athrs as $auth => $msgs){
              mysqli_query($DB, 'UPDATE users SET posts=posts-'.$msgs.' WHERE iduser='.$auth); //корректируем количество сообщений для каждого участника
            }

            mysqli_query($DB, 'UPDATE posts SET deleted=1 WHERE id_topic='."$id_topic"); // и только после этого помечаем сообщения как удалённые
            mysqli_query($DB, 'DELETE FROM newmsgs WHERE id_topic='."$id_topic"); // удаляем все пометки о непрочтении для данного топика
            mysqli_query($DB, 'DELETE FROM lastvisits WHERE id_topic='."$id_topic"); // удаляем все пометки о визитах для данного топика
          }
        }
        echo '{"type":4,"msg":"'.$_SERVER['HTTP_REFERER'].'"}'; //возвращаем страницу форума, с которой мы сюда попали
        break;
      case 10: // формирование списка имён лайкнувших / дизлайкнувших
        $msg = (int)substr($_POST['msg'], 0, 7); // id сообщения

        $stmt = mysqli_prepare($DB, // проверяем есть ли сообщение, кто его автор и лайкали ли мы его
        'SELECT posts.id_author, likes.id_item
         FROM posts
         LEFT JOIN likes ON likes.id_msg = posts.id_msg AND likes.id_from = ?
         WHERE posts.id_msg=? AND posts.deleted=0 LIMIT 1');
         mysqli_stmt_bind_param($stmt, 'ii', intval($_COOKIE['iduser']), $msg);
         mysqli_stmt_execute($stmt);
         mysqli_stmt_bind_result($stmt, $id_author, $id_like);
         mysqli_stmt_fetch($stmt);
         mysqli_stmt_close($stmt);

       // if (($id_author == $_COOKIE['iduser']) or isset($id_like)){
          $id = (int)substr($_POST['id'], 0, 1); // id функции 0-лайк 1-дизлайк
          switch ($id){
            case 0:        
              $list = '';
              $stmt = mysqli_prepare($DB,
              'SELECT likes.id_item, users.name
               FROM likes
               LEFT JOIN users ON likes.id_from = users.iduser
               WHERE likes.id_msg=? AND likes.value = 1
               ORDER BY likes.id_item DESC'); //берём все лайки сообщения, сортируя от новых к старым
              mysqli_stmt_bind_param($stmt, 'i', $msg);
              mysqli_stmt_execute($stmt);
              mysqli_stmt_bind_result($stmt, $id_item, $username);
              mysqli_stmt_store_result($stmt);
              $num = mysqli_stmt_num_rows($stmt);
              while (mysqli_stmt_fetch($stmt)){
                $num = $num - 1;
                $list .= $username;
                if ($num > 0) $list .= "\n";//к последней строке перенос не добавляем
              }
              mysqli_stmt_close($stmt);
              echo '-=*@^!=-'.str_pad($msg, 7, '0', STR_PAD_LEFT).$list;
              break;
            case 1:
              $list = '';
              $stmt = mysqli_prepare($DB,
              'SELECT likes.id_item, users.name
               FROM likes
               LEFT JOIN users ON likes.id_from = users.iduser
               WHERE likes.id_msg=? AND likes.value = -1
               ORDER BY likes.id_item DESC'); //берём все лайки сообщения, сортируя от новых к старым
              mysqli_stmt_bind_param($stmt, 'i', $msg);
              mysqli_stmt_execute($stmt);
              mysqli_stmt_bind_result($stmt, $id_item, $username);
              mysqli_stmt_store_result($stmt);
              $num = mysqli_stmt_num_rows($stmt);
              while (mysqli_stmt_fetch($stmt)){
                $num = $num - 1;
                $list .= $username;
                if ($num > 0) $list .= "\n";//к последней строке перенос не добавляем
              }
              mysqli_stmt_close($stmt);
              echo '-=!^@*=-'.str_pad($msg, 7, '0', STR_PAD_LEFT).$list;
              break;
          }
       // }
        break;
      case 11: //инверсия отметки о прочтении топика
        $id = (int)substr($_POST['id'], 0, 6); // id топика

        $stmt = mysqli_prepare($DB, 'SELECT id_author FROM topics WHERE id_topic=? AND deleted=0 LIMIT 1'); //проверяем есть ли топик
        mysqli_stmt_bind_param($stmt, 'i', $id); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_author);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);

        if (isset($id_author)){ //если такой топик есть       
          $stmt = mysqli_prepare($DB, 'SELECT id_item FROM newmsgs WHERE id_topic=? AND iduser=? LIMIT 1'); //проверяем есть ли пометка
          mysqli_stmt_bind_param($stmt, 'ii', $id, intval($_COOKIE['iduser'])); 
          mysqli_stmt_execute($stmt);
          mysqli_stmt_bind_result($stmt, $id_item);
          mysqli_stmt_fetch($stmt);
          $dber = mysqli_stmt_error($stmt);
          mysqli_stmt_close($stmt);

          if (empty($dber)){ //если всё прошло без ошибок
            if (isset($id_item)){ //если пометка в базе есть - удаляем её
              mysqli_query($DB, 'DELETE FROM newmsgs WHERE id_item='."$id_item");
              if (empty(mysqli_error($DB))) echo '{"type":5,"id":"'.$id.'","state":"0"}'; //отмечаем как прочитанный
            }else{//если пометки в базе нет - добавляем её
              $stmt = mysqli_prepare($DB, 'INSERT INTO newmsgs SET id_topic=?, iduser=?');
              mysqli_stmt_bind_param($stmt, 'ii', $id, intval($_COOKIE['iduser'])); 
              mysqli_stmt_execute($stmt);
              $dber2 = mysqli_stmt_error($stmt);
              mysqli_stmt_close($stmt);
              if (empty($dber2)) echo '{"type":5,"id":"'.$id.'","state":"1"}'; //отмечаем как непрочитанный
            }
          }
        }
        break;
      case 12: // окончательно удалить сообщение из базы
        $msgid = (int)substr($_POST['id'], 0, 7); // id сообщения
  
        $stmt = mysqli_prepare($DB, 'SELECT id_author, deleted FROM posts WHERE id_msg=? LIMIT 1');
        mysqli_stmt_bind_param($stmt, 'i', $msgid); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_author, $deleted);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);
  
        if (($_COOKIE['iduser'] == $id_author) and ($deleted == 1)){
          mysqli_query($DB, "DELETE FROM posts WHERE id_msg="."$msgid");
        }
        echo '{"type":4,"msg":"'.$_SERVER['HTTP_REFERER'].'"}'; //возвращаем страницу форума, с которой мы сюда попали
        break;
      case 13: //пометить все топики непрочитанными
        $stmt = mysqli_prepare($DB, 'DELETE FROM newmsgs WHERE iduser=?'); //удаляем все отметки для данного пользователя
        mysqli_stmt_bind_param($stmt, 'i', intval($_COOKIE['iduser'])); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_close($stmt);

        echo '{"type":4,"msg":"'.$_SERVER['HTTP_REFERER'].'"}'; //возвращаем страницу форума, с которой мы сюда попали
        break;
      case 14: // отзыв лайка/дизлайка
        $msgid = (int)substr($_POST['idmsg'], 0, 7); // id сообщения

        $stmt = mysqli_prepare($DB, 'SELECT id_msg, likes, disagrees, id_topic FROM posts WHERE id_msg=? AND deleted=0 LIMIT 1'); //проверяем есть ли сообщение и заодно берём все данные
        mysqli_stmt_bind_param($stmt, 'i', $msgid); 
        mysqli_stmt_execute($stmt);
        mysqli_stmt_bind_result($stmt, $id_msg, $likes, $disagrees, $id_topic);
        mysqli_stmt_fetch($stmt);
        mysqli_stmt_close($stmt);

        if (isset($id_msg)){ //если сообщение есть
          $stmt = mysqli_prepare($DB, 'SELECT id_item, value FROM likes WHERE id_from=? AND id_msg=?'); //проверяем авторство лайка и заодно значение (-1, 1)
          mysqli_stmt_bind_param($stmt, 'ii', intval($_COOKIE['iduser']), $msgid);
          mysqli_stmt_execute($stmt);
          mysqli_stmt_bind_result($stmt, $id_item, $value);
          mysqli_stmt_fetch($stmt);
          mysqli_stmt_close($stmt);

          if (isset($value)){ //если лайк/дизлайк есть
            $stmt = mysqli_prepare($DB, 'DELETE FROM likes WHERE id_item=?'); // удаляем его
            mysqli_stmt_bind_param($stmt, 'i', $id_item);
            mysqli_stmt_execute($stmt);
            $dber = mysqli_stmt_error($stmt);
            mysqli_stmt_close($stmt);
            
            if (empty($dber)){
              if ($value == 1) $item='likes';
              else $item='disagrees';

              $stmt = mysqli_prepare($DB, 'UPDATE posts SET '.$item.'='.$item.'-1 WHERE id_msg=?'); //обновляем сообщение
              mysqli_stmt_bind_param($stmt, 'i', $msgid);
              mysqli_stmt_execute($stmt);
              $dber1 = mysqli_stmt_error($stmt);
              mysqli_stmt_close($stmt);

              if ($value == 1){ //обновляем топик только если лайк, поскольку дизлайк полагаем принадлежит только сообщению
                $stmt = mysqli_prepare($DB, 'UPDATE topics SET likes = likes - 1 WHERE id_topic=?');
                mysqli_stmt_bind_param($stmt, 'i', $id_topic);
                mysqli_stmt_execute($stmt);
                $dber2 = mysqli_stmt_error($stmt);
                mysqli_stmt_close($stmt);
              }

              if (empty($dber1) and empty($dber2)){
                if ($value == 1) $likes--;
                else $disagrees--;
                if ($likes>0) $pref1 = '+';
                else $pref1 = '';
                if ($disagrees>0) $pref2 = '-';
                else $pref2 = '';

                echo '{"type":7,"id":"'.$msgid.'","msg":"<div style='."'".'float:right'."'".'><a class='."'".'noneall'."'".' style='."'".'cursor: pointer'."'".'><img title='."'".'Не нравится'."'".' onclick='."'".'Like('.$id_msg.',-1)'."'".' src='."'".
                  './pics/Disagree.png'."'".' alt='."'".'Нет'."'".'></a></div><div style='."'".'float:right'."'".'><a class='."'".'noneall'."'".' style='."'".'cursor: pointer'."'".'><img title='."'".'Нравится'."'".' onclick='."'".'Like('.$id_msg.',1)'."'".
                  ' src='."'".'./pics/Like.png'."'".' alt='."'".'Лайк'."'".'></a></div><div style='."'".'float:right;margin-top:5px;padding-left:5px;padding-right:5px'."'".'><span id='."'".'SL'.$id_msg."'".' onmouseover='."'".'ShowLikes('.$id_msg.')'."'".
                  ' style='."'".'color:blue'."'".'>'.$pref1.$likes.'</span> | <span id='."'".'SD'.$id_msg."'".' onmouseover='."'".'ShowDislikes('.$id_msg.')'."'".' style='."'".'color:red'."'".'>'.$pref2.$disagrees.'</span></div></div>"}';
              }
            }
          }            
        }
        break;
      default:
        echo '{"type":1,"msg":"Неизвестный тип запроса."}';    
    }
  }  
  mysqli_close($DB);
}else{
  echo '{"type":1,"msg":"Ошибка базы данных: '.mysqli_connect_error().'"}';
}
?>